Bug 87718 - FILEOPEN: DOCX - Detection of embedded videos links
Summary: FILEOPEN: DOCX - Detection of embedded videos links
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: needsWord
Keywords: filter:docx
Depends on:
Blocks: DOCX-Limitations DOCX Media-Online
  Show dependency treegraph
 
Reported: 2014-12-25 22:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-23 02:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample web video doc (32.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-12-25 22:15 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-12-25 22:15:09 UTC
Created attachment 111336 [details]
sample web video doc

When opening the attached document in LO, all it shows is an image, but when opened in MS Word, you can ctrl+click on the image to load the video url into browser.

In /word/_rels/document.xml.rels you have the following xml:

<Relationship Id="rId5" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/hyperlink" Target="https://www.youtube.com/watch?v=OXeOs9EOnPw&amp;feature=youtube_gdata_player" TargetMode="External"/>

And in /word/document.xml you have the following xml in the <w:drawing> tag:

<wp:docPr id="1" name="Video 1"><a:hlinkClick xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" r:id="rId5"/></wp:docPr>

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54
Comment 1 Cor Nouws 2014-12-28 20:10:56 UTC
I can confrim - at least that the video is not started in LibreOffice
Comment 2 Yousuf Philips (jay) (retired) 2014-12-28 20:30:14 UTC
Yes ctrl+clicking it wont work as LO didnt understand that a hyperlink should have been associated with it.
Comment 3 Robinson Tryon (qubit) 2015-12-14 06:02:41 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-09-21 20:53:30 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 86f256596c8566e80993e1cf6035bc3534b6f816
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 5 QA Administrators 2018-09-23 02:50:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug